Bug 691088 - Review Request: zeromq-ada - Ada bindings for zeromq
Summary: Review Request: zeromq-ada - Ada bindings for zeromq
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Oxana Kurysheva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 690199
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-26 16:57 UTC by Pavel Zhukov
Modified: 2011-11-07 13:21 UTC (History)
4 users (show)

Fixed In Version: zeromq-ada-2.1.0-5.24032011git.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-29 17:49:59 UTC
okurysheva: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Zhukov 2011-03-26 16:57:25 UTC
Spec URL: http://landgraf.fedorapeople.org/packages/requested/zeromq-ada/zeromq-ada.spec
SRPM URL: http://landgraf.fedorapeople.org/packages/requested/zeromq-ada/zeromq-ada-2.1.0-24032011git.src.rpm
Description: Ada bindings for zeromq
Requires zeromq-2.1 or later

Comment 1 Oxana Kurysheva 2011-03-26 17:02:59 UTC
I'll review it

Comment 3 Oxana Kurysheva 2011-04-29 14:30:27 UTC
Why do you need "echo %{GNAT_optflags}" in %prep section? It works good without this line.

[aviriel@redhost ~]$ rpmlint Downloads/zeromq-ada-2.1.0-2.24032011git.src.rpm 
zeromq-ada.src: W: invalid-url Source0: zeromq-ada-2.24032011git.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Please fix the url of Source0.

Comment 4 Pavel Zhukov 2011-04-29 14:38:47 UTC
(In reply to comment #3)
> Why do you need "echo %{GNAT_optflags}" in %prep section? It works good without
> this line.
removed
http://landgraf.fedorapeople.org/packages/requested/zeromq-ada/zeromq-ada-2.1.0-4.24032011git.src.rpm
> [aviriel@redhost ~]$ rpmlint Downloads/zeromq-ada-2.1.0-2.24032011git.src.rpm 
> zeromq-ada.src: W: invalid-url Source0: zeromq-ada-2.24032011git.tar.gz
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> Please fix the url of Source0.
Why? It's git source. Please see comment above.

Comment 5 Oxana Kurysheva 2011-04-29 14:52:46 UTC
Ok, let it be in this way. 
This package is approved.

Comment 6 Pavel Zhukov 2011-04-29 14:58:02 UTC
New Package SCM Request
=======================
Package Name: zeromq-ada
Short Description: Ada bindings for zeromq
Owners: landgraf
Branches: f15
InitialCC:

Comment 7 Jason Tibbitts 2011-04-29 16:09:03 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-04-29 17:48:57 UTC
zeromq-ada-2.1.0-5.24032011git.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zeromq-ada-2.1.0-5.24032011git.fc15

Comment 9 Fedora Update System 2011-05-05 05:08:00 UTC
zeromq-ada-2.1.0-5.24032011git.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Pavel Zhukov 2011-11-07 12:44:44 UTC
Package Change Request
======================
Package Name: zeromq-ada
New Branches: el6
Owners: landgraf
InitialCC:

Comment 11 Gwyn Ciesla 2011-11-07 13:21:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.